require "import"
import "android.content.Intent"
import "android.graphics.Bitmap"
import "android.net.Uri"
import "java.io.*"
import "com.androlua.*"

app_pkg = "com.bemyeyes.bemyeyes"
store_url = "market://details?id="

task(500, function()
  if this.getPackageManager().getLaunchIntentForPackage(app_pkg) then
    this.getScreenShot(node, {
      onScreenCaptureDone = function(A0_4)
        local file = File("/sdcard/", "master_kaushik.jpg")
        A0_4.compress(Bitmap.CompressFormat.PNG, 90, FileOutputStream(file))
        this.startActivity(Intent(Intent.ACTION_SEND)
          .setType("image/*")
          .setPackage(app_pkg)
          .putExtra(Intent.EXTRA_STREAM, this.getUriForFile(file)))
        service.playSoundTick(3)
        this.asyncSpeak("Mohon tunggu, sedang menghubungkan ke aplikasi Be My Eyes...")
        os.execute("sleep 2")
        file.delete()
      end
    })
  else
    service.playSoundClock()
    this.asyncSpeak("Be My Eyes tidak terpasang pada perangkat Anda. Anda akan diarahkan ke Play Store. Silakan pasang Be My Eyes untuk menggunakan ekstensi ini...")
    os.execute("sleep 3")
    this.startActivity(Intent(Intent.ACTION_VIEW).setData(Uri.parse(store_url .. app_pkg)))
  end
end)
